﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using VisualAPL; // My project (not a VA core DLL!)

namespace DATAINTERCHANGE
{
    class Program
    {
        static VAClass vapl = new VisualAPL.VAClass();
        static void Main(string[] args)
        {
            int[,] fAPL1 = fCS();
            int[,] fAPL2 = vapl.SupplyData2();
            int[,] fAPL3 = (int[,])vapl.SupplyData3();
            decimal[,] fAPL4 = (decimal[,])vapl.SupplyData4();
            object[] fAPL5 = (object[])vapl.SupplyData5(); // APL nested to C# jagged (array)
            int[,] abc = (int[,])fAPL5[0];
            string[] xyz = (string[])fAPL5[1];
            xyz[0] = "Inherited from Visual APL, re-assigned from C#";
            ((string[])fAPL5[1])[1] = " by Ajay Askoolum"; // Alternative syntax
            double[,] thisArray=new double[,]{{1.1,2,3},{40,50,60.1},{34.44,12,23.23}};
            double[] thisArrayDiagonal = (double[])vapl.GetDiagonal(thisArray);
            object[,] philosophy = (object[,])vapl.SupplyData6();
            philosophy[1, 5] = vapl.Modify(philosophy,1,5,"Do you?");
        }
        public static int[,] fCS()
        {
            int[,] fapl = vapl.SupplyData1();
            fapl[1, 1] = 100;
            return fapl;
        }
    }
}
